package org.bdware.sc.blockdb;

import org.bdware.sc.commParser.BDLedger.Transaction;

import java.util.Map;

public interface DBRepository {
	public String Get(Map<String, Object> condition);//get hash of transaction
	public boolean Put(Transaction trans);//put transaction into databases
	public boolean Delete(String hash);//delete transaction
	public boolean Create_DB();//createDB
	public boolean Open_DB(); //OpenDB
}